Skip to main content
POST
Targeting-locations search

Authorizations

Authorization
string
header
required

A personal API key (adside_pat_…) or a token from adside login. Either carries the permissions of the person it belongs to.

Path Parameters

workspaceId
string
required
Minimum string length: 1

Body

application/json
q
string
required

Location name to search, e.g. 'Paris' or 'California'.

Minimum string length: 1
location_type
enum<string>

Narrow to one granularity.

Available options:
COUNTRIES,
REGIONS,
METROS,
CITIES,
POSTAL_CODES
country_code
string

ISO-3166 country to search within.

Required string length: 2
limit
integer
default:50
Required range: 1 <= x <= 500

Response

200 - application/json

Success